# Created by pyp2rpm-3.3.5
%global pypi_name aiosignal

%bcond_without check

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 1
Summary:        aiosignal: a list of registered asynchronous callbacks
Group:          Development/Python
License:        ASL2.0
URL:            https://github.com/aio-libs/aiosignal
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-asyncio) >= 0.20.3
BuildRequires:  python3dist(frozenlist)
%endif

%description
A project to manage callbacks in asyncio projects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A project to manage callbacks in asyncio projects.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Jul 17 2025 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2256877
- new version 1.4.0

* Wed Jul 02 2025 umeabot <umeabot> 1.3.2-2.mga10
+ Revision: 2236997
- Mageia 10 Mass Rebuild

* Tue Feb 25 2025 wally <wally> 1.3.2-1.mga10
+ Revision: 2152393
- new version 1.3.2
- rebuild for python3.13

* Thu Dec 07 2023 wally <wally> 1.3.1-2.mga10
+ Revision: 2015237
- rebuild for py3.12

* Sun Jan 15 2023 wally <wally> 1.3.1-1.mga9
+ Revision: 1933474
- new version 1.3.1

* Sat Jun 04 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1861206
- imported package python-aiosignal

